Page MenuHomePhabricator

cmake: Add CLANG_LINK_CLANG_DYLIB option
ClosedPublic

Authored by tstellar on Jun 18 2019, 10:34 AM.

Details

Summary

Setting CLANG_LINK_CLANG_DYLIB=ON causes clang tools to link against
libclang_shared.so instead of the individual component libraries.

Diff Detail

Repository
rL LLVM

Event Timeline

tstellar created this revision.Jun 18 2019, 10:34 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 18 2019, 10:34 AM
beanz added a comment.Jul 2 2019, 11:45 AM

One comment inline. Otherwise LGTM.

clang/CMakeLists.txt
327 ↗(On Diff #205394)

We should generate a config error if LLVM_LINK_LLVM_DYLIB=Off and CLANG_LINK_CLANG_DYLIB=On, because that will cause some odd errors.

This revision was not accepted when it landed; it landed in state Needs Review.Jul 3 2019, 3:46 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 3 2019, 3:46 PM

CLANG_LINK_CLANG_DYLIB=ON does not seem to work with LLVM_INSTALL_TOOLCHAIN_ONLY=ON. I filed a bug report: https://bugs.llvm.org/show_bug.cgi?id=42575